Bug 1565206 - [abrt] octave: std::__replacement_assert(): octave-cli-4.2.2 killed by SIGABRT
Summary: [abrt] octave: std::__replacement_assert(): octave-cli-4.2.2 killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: octave
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:0839ddc1939249b904554856f9d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-09 15:29 UTC by Ankur Sinha (FranciscoD)
Modified: 2019-05-29 00:10 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-29 00:10:49 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (27.66 KB, text/plain)
2018-04-09 15:29 UTC, Ankur Sinha (FranciscoD)
no flags Details
File: cgroup (399 bytes, text/plain)
2018-04-09 15:29 UTC, Ankur Sinha (FranciscoD)
no flags Details
File: core_backtrace (4.25 KB, text/plain)
2018-04-09 15:29 UTC, Ankur Sinha (FranciscoD)
no flags Details
File: cpuinfo (1.24 KB, text/plain)
2018-04-09 15:29 UTC, Ankur Sinha (FranciscoD)
no flags Details
File: dso_list (8.44 KB, text/plain)
2018-04-09 15:29 UTC, Ankur Sinha (FranciscoD)
no flags Details
File: environ (11.32 KB, text/plain)
2018-04-09 15:29 UTC, Ankur Sinha (FranciscoD)
no flags Details
File: limits (1.29 KB, text/plain)
2018-04-09 15:29 UTC, Ankur Sinha (FranciscoD)
no flags Details
File: maps (38.79 KB, text/plain)
2018-04-09 15:29 UTC, Ankur Sinha (FranciscoD)
no flags Details
File: mountinfo (3.85 KB, text/plain)
2018-04-09 15:29 UTC, Ankur Sinha (FranciscoD)
no flags Details
File: open_fds (134 bytes, text/plain)
2018-04-09 15:29 UTC, Ankur Sinha (FranciscoD)
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2018-04-09 15:29 UTC, Ankur Sinha (FranciscoD)
no flags Details

Description Ankur Sinha (FranciscoD) 2018-04-09 15:29:19 UTC
Description of problem:
Always seems to crash when I exit the program.

Version-Release number of selected component:
6:octave-4.2.2-1.fc28

Additional info:
reporter:       libreport-2.9.4
backtrace_rating: 4
cmdline:        octave-cli
crash_function: std::__replacement_assert
executable:     /usr/bin/octave-cli-4.2.2
journald_cursor: s=14326aefa44342edb1e41e545a13dfd1;i=4c74cc;b=af96f42f2659488facabd8de4571623b;m=48dd635f0;t=5696bd49f8bcb;x=851cd6213df1a930
kernel:         4.16.0-0.rc7.git0.1.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 std::__replacement_assert at /usr/include/c++/8/x86_64-redhat-linux/bits/c++config.h:2389
 #3 std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >::operator[] at libinterp/corefcn/load-path.h:91
 #4 octave_base_reader::octave_gets[abi:cxx11](bool&) at libinterp/corefcn/input.cc:301
 #5 octave_terminal_reader::get_input[abi:cxx11](bool&) at libinterp/corefcn/input.cc:737
 #6 octave_input_reader::get_input[abi:cxx11](bool&) at libinterp/corefcn/input.h:267
 #7 octave::lexer::fill_flex_buffer at /home/jwe/src/octave-stable/libinterp/parse-tree/lex.ll:3591
 #8 yy_get_next_buffer at libinterp/parse-tree/lex.cc:3430
 #9 octave_lex(OCTAVE_STYPE*, void*) at libinterp/parse-tree/lex.cc:3270
 #10 octave_pull_parse at libinterp/parse-tree/oct-parse.cc:2973
 #11 octave::parser::run() at libinterp/parse-tree/oct-parse.yy:4045

Comment 1 Ankur Sinha (FranciscoD) 2018-04-09 15:29:27 UTC
Created attachment 1419372 [details]
File: backtrace

Comment 2 Ankur Sinha (FranciscoD) 2018-04-09 15:29:28 UTC
Created attachment 1419373 [details]
File: cgroup

Comment 3 Ankur Sinha (FranciscoD) 2018-04-09 15:29:30 UTC
Created attachment 1419374 [details]
File: core_backtrace

Comment 4 Ankur Sinha (FranciscoD) 2018-04-09 15:29:32 UTC
Created attachment 1419375 [details]
File: cpuinfo

Comment 5 Ankur Sinha (FranciscoD) 2018-04-09 15:29:34 UTC
Created attachment 1419376 [details]
File: dso_list

Comment 6 Ankur Sinha (FranciscoD) 2018-04-09 15:29:36 UTC
Created attachment 1419377 [details]
File: environ

Comment 7 Ankur Sinha (FranciscoD) 2018-04-09 15:29:37 UTC
Created attachment 1419378 [details]
File: limits

Comment 8 Ankur Sinha (FranciscoD) 2018-04-09 15:29:39 UTC
Created attachment 1419379 [details]
File: maps

Comment 9 Ankur Sinha (FranciscoD) 2018-04-09 15:29:41 UTC
Created attachment 1419380 [details]
File: mountinfo

Comment 10 Ankur Sinha (FranciscoD) 2018-04-09 15:29:42 UTC
Created attachment 1419381 [details]
File: open_fds

Comment 11 Ankur Sinha (FranciscoD) 2018-04-09 15:29:44 UTC
Created attachment 1419382 [details]
File: proc_pid_status

Comment 12 Tomas Toth 2018-04-29 05:46:49 UTC
Similar problem has been detected:

Run octave-cli and close it with Ctrl-D.

reporter:       libreport-2.9.4
backtrace_rating: 4
cmdline:        octave-cli
crash_function: std::__replacement_assert
executable:     /usr/bin/octave-cli-4.2.2
journald_cursor: s=a7a4cc15a38a4a43af0aabe242c63d64;i=5f41e;b=c7ba685a884f48bdbbb1dfc50ab7c9e8;m=c9876c26;t=56aee617e0c93;x=f1016e3b0f1b3aeb
kernel:         4.16.4-300.fc28.x86_64
package:        6:octave-4.2.2-1.fc28
reason:         octave-cli-4.2.2 killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 13 Ben Cotton 2019-05-02 19:22:34 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Ben Cotton 2019-05-29 00:10:49 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.